Subject: Re: [PATCH 1/7] PowerPC64: Not to insert EA=0 entry at

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 28 Sep 2007 08:37:09 +1000

> It should have been set in setup_64.c, in setup_paca() (which is called
> twice) in that statement:
> 
> 	local_paca = &paca[cpu];
> 
> As local_paca is defined as being a variable held in register r13. Maybe
> something bad's happening with the compiler ?

Can you check early_setup disassembly, see if r13 is assigned (it should
be in two spots) and if it's clobbered by the compiler somewhere ?

Also, you may want to try adding --ffixed-r13 to the CFLAGS in the
makefile and let us know if it makes a difference... r13 is marked
reserved by the ABI but segher seems to imply that gcc may decide to ues
it anyway (ouch !)

Ben.